Skip to main content
curl https://api.chargeapi.co/v1/accounts/acct_cdxZGYZlXIlJYGA3TaAkXFI2YnUXR6Bv \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "acct_cdxZGYZlXIlJYGA3TaAkXFI2YnUXR6Bv",
    "object": "account",
    "billing_details": {
        "billing_address": {
            "city": "Paris",
            "country": "FR",
            "line1": "10 Rue de la Paix",
            "line2": "Batiment A",
            "postal_code": "75002",
            "state": "Ile-de-France"
        }
    },
    "business_type": null,
    "contact": {
        "email": "example@example.com",
        "name": "Example",
        "phone": "+33189000010"
    },
    "created": "2026-04-01T00:32:04.021Z",
    "default_currency": "eur",
    "description": null,
    "email": "example@example.com",
    "metadata": {},
    "metric_system": "metric",
    "name": "Example Account",
    "plan": "professional",
    "preferences": {
        "billing_cycle": "monthly",
        "default_currency": "eur",
        "default_payment_method": null,
        "notifications": true,
        "report_frequency": "weekly",
        "reporting_enabled": true
    },
    "registration_number": null,
    "status": "active",
    "type": "business",
    "updated": "2026-04-01T02:31:57.659Z",
    "wallet_balance": 42850
}
Retrieves an account.
curl https://api.chargeapi.co/v1/accounts/acct_cdxZGYZlXIlJYGA3TaAkXFI2YnUXR6Bv \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "acct_cdxZGYZlXIlJYGA3TaAkXFI2YnUXR6Bv",
    "object": "account",
    "billing_details": {
        "billing_address": {
            "city": "Paris",
            "country": "FR",
            "line1": "10 Rue de la Paix",
            "line2": "Batiment A",
            "postal_code": "75002",
            "state": "Ile-de-France"
        }
    },
    "business_type": null,
    "contact": {
        "email": "example@example.com",
        "name": "Example",
        "phone": "+33189000010"
    },
    "created": "2026-04-01T00:32:04.021Z",
    "default_currency": "eur",
    "description": null,
    "email": "example@example.com",
    "metadata": {},
    "metric_system": "metric",
    "name": "Example Account",
    "plan": "professional",
    "preferences": {
        "billing_cycle": "monthly",
        "default_currency": "eur",
        "default_payment_method": null,
        "notifications": true,
        "report_frequency": "weekly",
        "reporting_enabled": true
    },
    "registration_number": null,
    "status": "active",
    "type": "business",
    "updated": "2026-04-01T02:31:57.659Z",
    "wallet_balance": 42850
}

Parameters

No parameters.

Returns

Returns the account.